using System.Text.Json.Serialization;

namespace ScoreboardApi.Objects
{
    public class Team
    {
        public string Abbreviation { get; set; }
        public string Name { get; set; }
        public int Points => EventHistory.Sum(x => x.Points);
        public string Color { get; set; }

        [JsonIgnore]
        public List<Event> EventHistory { get; set; } = new();
    }
}